Subject: Re: bug#70817: 14.0.3.2024-03-17; max-lisp-eval-depth exceeded with XeTeX option

From: "Landis Florian (ladi)" <[email-masked]>
Date: Mon, 13 May 2024 11:05:43 +0000

Dear all

Am 09.05.2024 um 15:01 schrieb Ikumi Keita:

I think this must be the issue bug#69373[1]. Landis, can you try the
patch given in [2]? If not, either
A. Update your emacs to 29.3 or

I can confirm that the problem goes away if I use emacs 29.3.

Thanks,

Florian

B. Put the following code block into somewhere in your init file
(~/.emacs.d/init.el)

----------------------------------------------------------------------
(defun hack-one-local-variable (var val)
  "Set local variable VAR with value VAL.
If VAR is `mode', call `VAL-mode' as a function unless it's
already the major mode."
  (pcase var
    ('mode
     (let ((mode (intern (concat (downcase (symbol-name val))
                          "-mode"))))
       (set-auto-mode-0 mode t)))
    ('eval
     (pcase val
       (`(add-hook ',hook . ,_) (hack-one-local-variable--obsolete hook)))
     (save-excursion (eval val t)))
    (_
     (hack-one-local-variable--obsolete var)
     ;; Make sure the string has no text properties.
     ;; Some text properties can get evaluated in various ways,
     ;; so it is risky to put them on with a local variable list.
     (if (stringp val)
         (set-text-properties 0 (length val) nil val))
     (set (make-local-variable var) val))))
----------------------------------------------------------------------

Sorry for inconvenience.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69373
[2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69373#14

Best regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW